# List approvals

List all the approvals

Endpoint: GET /iacm/api/orgs/{org}/projects/{project}/approvals
Version: 1.0
Security: x-api-key

## Query parameters:

  - `limit` (integer)
    Limit is the number of records to return for a page.
    Example: 30

  - `page` (integer)
    Page is the page number to return relative to the page 'limit'.
    Example: 1

  - `workspace` (string)
    Workspace identifier
    Example: "Voluptatum aperiam libero occaecati ut."

  - `pipeline_execution_id` (string)
    Pipeline identifier
    Example: "Temporibus ad nisi quisquam."

  - `pipeline_stage_id` (string)
    Pipeline stage identifier
    Example: "Laborum dolor eius et."

  - `status_type` (string)
    Status of the approval step
    Enum: "approved", "rejected", "pending"

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "i"

  - `project` (string, required)
    Project is the project identifier.
    Example: "6vg"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "o8u"

## Response 200 fields (application/json):

  - `account` (string, required)
    Account is the internal customer account ID.
    Example: "3g"

  - `actioned_by` (string)
    User that approved/rejected the step
    Example: "John Doe"

  - `actioned_by_email` (string)
    Email of the user that approved/rejected the step
    Example: "john.doe@example.com"

  - `created` (integer, required)
    Created is the unix timestamp at which the resource was originally created in milliseconds.
    Example: 6269715881641143000

  - `id` (string, required)
    Example: "Cumque ut quo officia consequuntur eveniet."

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "u"

  - `pipeline_execution_id` (string, required)
    The unique identifier for the associated pipeline execution
    Example: "Laborum nesciunt consequuntur recusandae dolores."

  - `pipeline_stage_id` (string, required)
    The unique identifier for the associated pipeline execution stage
    Example: "Iusto provident et est tenetur commodi sint."

  - `project` (string, required)
    Project is the project identifier.
    Example: "bj2"

  - `status` (string, required)
    Status of the approval resource
    Example: "Quia voluptas iste quia quisquam."

  - `updated` (integer, required)
    Modified is the unix timestamp at which the resource was last modified in milliseconds.
    Example: 3824945549763191300

  - `workspace_id` (string, required)
    The unique identifier for the workspace_id
    Example: "Aut animi iste repellat quibusdam est reiciendis."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


